/*
* ---------------------------------------------------------------
* Prototypes 
* ---------------------------------------------------------------
*/

/*void lcd_cmd(unsigned char dat);
void lcd_dat0(unsigned char dat);
void lcd_dat16(unsigned short dat);*/

void lcd_init(void);
void fill_screen(unsigned short color);
void put_char(unsigned char x, unsigned char y, unsigned char c);
void pset(char x, char y, unsigned short col);
void drawline(char x1, char y1, char x2, char y2, unsigned short color);
void displayint2(short data, char x, char y);
void displayint4(short data, char x, char y);
void displayint8(long data, char x, char y);
void displaystr(char *text, char x, char y);
void lcd_dump(unsigned char *text, unsigned int num);
void fill_screen_data(unsigned short buffer[130][130]);

/*
* ---------------------------------------------------------------
* Defines 
* ---------------------------------------------------------------
*/

#define lcd_write			sendbyte_ssp

#define lcd_cs_high()		FIO4SET |= (1<<21)
#define lcd_cs_low()		FIO4CLR |= (1<<21)
#define lcd_reset_high()	FIO2SET |= (1<<1)
#define lcd_reset_low()		FIO2CLR |= (1<<1)
#define lcd_rs_high()		FIO1SET |= (1<<7)
#define lcd_rs_low()		FIO1CLR |= (1<<7)

#define DATCTL 0xBC         // Data Control (data handling in RAM)
#define DISCTL 0xCA         // Display Control
#define GCP64 0xCB          // pulse set for 64 gray scale
#define GCP16 0xCC          // pulse set for 16 gray scale
#define OSSEL 0xD0          // Oscillator select
#define GSSET 0xCD          // set for gray scales
#define ASCSET 0xAA         // aerea scroll setting
#define SCSTART 0xAB        // scroll start setting
#define DISON 0xAF          // Display ON (no parameter)
#define DISOFF 0xAE         // Display OFF (no parameter)
#define DISINV 0xA7         // Display Invert (no parameter)
#define DISNOR 0xA6         // Display Normal (no parameter)
#define SLPIN  0x95         // Display Sleep (no parameter)
#define SLPOUT 0x94         // Display out of sleep (no parameter)
#define RAMWR 0x5C          // Display Memory write
#define PTLIN 0xA8          // partial screen write

#define SD_CSET 0x15        // column address setting
#define SD_PSET 0x75        // page address setting

#define DISP_W 132
#define DISP_H 176
#define CHAR_H 6
#define CHAR_W 4
#define TEXT_COL 16
#define TEXT_ROW 12

#define RED		0xF800
#define GREEN	0x7E0
#define BLUE	0x1F
#define YELLOW	0xFFEA
#define	MAGENTA	0xF81F
#define CYAN	0x7FF
#define BLACK	0x00
#define WHITE	0xFFFF
